commit:     27e9cedb1a4728e6ff1641de83699ea0a60de676
Author:     NRK <nrk <AT> disroot <DOT> org>
AuthorDate: Mon Jan  6 23:17:00 2025 +0000
Commit:     Nickolas Raymond Kaczynski <nrk <AT> disroot <DOT> org>
CommitDate: Mon Jan  6 23:17:34 2025 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=27e9cedb

app-arch/fuse-archive: fix #947648

Closes: https://bugs.gentoo.org/
Signed-off-by: NRK <nrk <AT> disroot.org>

 app-arch/fuse-archive/fuse-archive-1.4.ebuild | 13 +++++++++----
 1 file changed, 9 insertions(+), 4 deletions(-)

diff --git a/app-arch/fuse-archive/fuse-archive-1.4.ebuild 
b/app-arch/fuse-archive/fuse-archive-1.4.ebuild
index 797a38971..e26b98368 100644
--- a/app-arch/fuse-archive/fuse-archive-1.4.ebuild
+++ b/app-arch/fuse-archive/fuse-archive-1.4.ebuild
@@ -29,10 +29,9 @@ DEPEND="
 BDEPEND="virtual/pkgconfig"
 RDEPEND="${DEPEND}"
 
-# TODO(NRK): enable tests. requires python.
-# also takes a lot of disk space (and time) by generating big.zip.
-src_test() {
-       :
+src_configure() {
+       sed -i 's|-O2||g' Makefile || die "sed failed"
+       sed -i 's|-O0 -g||g' Makefile || die "sed failed"
 }
 
 src_compile() {
@@ -49,3 +48,9 @@ src_install() {
        dobin out/fuse-archive
        doman fuse-archive.1
 }
+
+# TODO(NRK): enable tests. requires python.
+# also takes a lot of disk space (and time) by generating big.zip.
+src_test() {
+       :
+}

Reply via email to